# frozen_string_literal: true

class HomeController < ApplicationController
  def index
    redirect_to forms_url if logged_in?
  end

  def demo
    if params[:backend] == 'airtable'
      render 'demo-airtable'
    else
      render 'demo-google'
    end
  end
end
