# frozen_string_literal: true

class SessionsController < ApplicationController
  def create
    reset_session
  end

  def new
    reset_session
  end

  def destroy
    reset_session
    redirect_to root_url
  end
end
