# frozen_string_literal: true

require 'google/api_client/client_secrets'
require 'google/apis'

secrets_options = {
  'client_id' => ENV['GOOGLE_CLIENT_ID'],
  'project_id' => ENV['GOOGLE_PROJECT_ID'],
  'client_secret' => ENV['GOOGLE_CLIENT_SECRET'],
  'auth_uri' => 'https://accounts.google.com/o/oauth2/auth',
  'token_uri' => 'https://oauth2.googleapis.com/token',
  'auth_provider_x509_cert_url' => 'https://www.googleapis.com/oauth2/v1/certs'
}
CLIENT_SECRETS = Google::APIClient::ClientSecrets.new('web' => secrets_options)
Google::Apis.logger = ::Rails.logger
