const Typed = require('typed.js');
document.addEventListener("turbolinks:load", function () {
  document.querySelectorAll('.backends-cycler').forEach( el => {
    new Typed(el, {
      strings: ['Google Sheets', 'Airtable', 'Google Sheets', 'Airtable'], // smoother loops
      loop: true,
      typeSpeed: 100,
      backSpeed: 40,
      backDelay: 1400,
      smartBackspace: true,
      startDelay: 800,
      onBegin: (typed) => { typed.currentElContent = typed.el.innerText; }
    });
  });
});
