document.addEventListener("turbolinks:load", function () {
  const tabLinks = document.querySelectorAll('.tabs a[data-target]');
  tabLinks.forEach(el => {
    el.addEventListener('click', (e) => {
      e.preventDefault();
      // hide alll
      tabLinks.forEach(link => {
        link.closest('li').classList.remove('is-active');
        document.getElementById(link.dataset.target).classList.add('is-hidden')
      });
      const target = document.getElementById(el.dataset.target);
      target.classList.remove('is-hidden');
      el.closest('li').classList.add('is-active');
    }, true);
  });
});
