# frozen_string_literal: true

class AddLockboxColumns < ActiveRecord::Migration[6.0]
  def change
    add_column :authentications, :access_token_ciphertext, :text
    add_column :authentications, :refresh_token_ciphertext, :text
    remove_column :authentications, :access_token
    remove_column :authentications, :refresh_token
  end
end
